{% extends "base.html" %} <!-- should always be the first line of html  -->
{% load static %} <!-- if there any static file is there then must put load static -->


{% block base_head %}
<script src="https://js.stripe.com/v3/"></script>

{% endblock %}	<!-- header block extra css file for only this page -->

{% block content %}

{% csrf_token %}
<div class="container" >
	<button id="checkout-button" class="form-control">
        Checkout Now
    </button>
</div>



{% endblock %} <!-- body content of this page -->

{% block js %} 
<script>
function _Redirect(stripe_publishable_key, session_id) {
    var stripe = Stripe(stripe_publishable_key);
    var checkoutButton = document.getElementById('checkout-button');

    checkoutButton.addEventListener('click', function() {
        stripe.redirectToCheckout({
            // Make the id field from the Checkout Session creation API response
            // available to this file, so you can provide it as argument here
            // instead of the {{CHECKOUT_SESSION_ID}} placeholder.
            sessionId: session_id
        }).then(function (result) {
            // If `redirectToCheckout` fails due to a browser or network
            // error, display the localized error message to your customer
            // using `result.error.message`.
            alert(result.error.message);
        });
    });
}
</script>
<script>_Redirect('{{ STRIPE_PUBLISHABLE_KEY }}', '{{session_id}}');</script>
 

{% endblock %}
